Summary:        An advanced interactive monitor to view the load on system and process level
Name:           atop
Version:        2.9.0
Release:        3%{?dist}
License:        GPL-2.0-or-later
URL:            https://www.atoptool.nl
Source0:        https://www.atoptool.nl/download/%{name}-%{version}.tar.gz
Source1:        atop.d
Patch0001:      atop-sysconfig.patch
Patch0002:      format.patch

BuildRequires:  make gcc
BuildRequires:  zlib-devel ncurses-devel systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
This package provides an ASCII full-screen performance monitor for Linux that is capable of 
reporting the activity of all processes (even if processes have finished during the interval), 
daily logging of system and process activity for long-term analysis, highlighting overloaded 
system resources by using colors, etc.
The command atop has some major advantages compared to other performance-monitors: 
   - Resource consumption by all processes
   - Utilization of all relevant resources
   - Permanent logging of resource utilization
   - Highlight critical resources
   - Watch activity/deviations only
   - Accumulated process activity per user/program
 
%prep
%autosetup -p0

sed -i "s|/etc/default/atop|/etc/sysconfig/atop|g" atop.service

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
install -Dp -m 0755 atop $RPM_BUILD_ROOT%{_bindir}/atop
install -Dp -m 0755 atopconvert $RPM_BUILD_ROOT%{_bindir}/atopconvert
ln -s atop $RPM_BUILD_ROOT%{_bindir}/atopsar
install -Dp -m 0644 man/atop.1 $RPM_BUILD_ROOT%{_mandir}/man1/atop.1
install -Dp -m 0644 man/atopsar.1 $RPM_BUILD_ROOT%{_mandir}/man1/atopsar.1
install -Dp -m 0644 man/atopacctd.8 $RPM_BUILD_ROOT%{_mandir}/man8/atopacctd.8
install -Dp -m 0755 atop.daily $RPM_BUILD_ROOT%{_datadir}/atop/atop.daily
install -Dp -m 0644 atop.default $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/atop
install -Dp -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/atopd
install -Dp -m 0644 atop.service $RPM_BUILD_ROOT%{_unitdir}/atop.service
install -d $RPM_BUILD_ROOT%{_localstatedir}/log/atop
install -Dp -m 0755 atopacctd $RPM_BUILD_ROOT%{_sbindir}/atopacctd
install -Dp -m 0644 atopacct.service $RPM_BUILD_ROOT%{_unitdir}/atopacct.service
install -Dp -m 0644 atop-rotate.* $RPM_BUILD_ROOT%{_unitdir}/

%post
%systemd_post atop.service atopacct.service atop-rotate.timer

%preun
%systemd_preun atop.service atopacct.service atop-rotate.timer

%postun
%systemd_postun_with_restart atop.service atopacct.service atop-rotate.timer


%files
%license COPYING
%doc AUTHORS README*
%config(noreplace) %{_sysconfdir}/sysconfig/atop
%attr(0755,root,root) %dir %{_localstatedir}/log/atop
%{_bindir}/atopsar
%{_bindir}/atop
%{_bindir}/atopd
%{_bindir}/atopconvert
%{_sbindir}/atopacctd
%{_unitdir}/atop*.service
%{_unitdir}/atop*.timer
%{_datadir}/atop/atop.daily
%{_mandir}/man1/atop.1.gz
%{_mandir}/man1/atopsar.1.gz
%{_mandir}/man8/atopacctd.8.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Wang Guodong <gordonwwang@tencent.com> - 2.9.0-1
- Upgrade to version 2.9.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 2.7.1-1
- package init.
